/**
 *   Box to form a Tic-Tac-Toe game board
 *
 *   Georgy Gimel'farb 20.07.1998
 *   (last modified: 15.09.98)
 */

class TTTBox {
  private int mark;                                  // mark of a box instance
  static final int XMARK = 1, OMARK = 0, EMPTY = 2;  // possible mark values

  public TTTBox( ) { mark = EMPTY; };                // construct an unmarked box

  public void putX() { mark = XMARK; }               // put the X mark to a box

  public void putO() { mark = OMARK; }               // put the O mark to a box

  public int getMark() { return mark; }              // get the mark of a box
  
  public boolean isEmpty() { return ( mark == EMPTY ); }

  public String toString() {                         // convert a box into a String
    return ( ( mark == EMPTY )? "." : 
      ( ( mark == OMARK )? "O" :  
      ( ( mark == XMARK )? "X" : "" ) ) );
  }
}

